Subject: Re: [bug#49965] Correct Input type for Common Lisp packages

From: Charles <[email-masked]>
Date: Mon, 09 Aug 2021 20:58:59 +0000

I didn't know I about theses conf files, and after seeing them, I'm not sure how to use them. Not to mention: I don't have a $GUIX_PROFILE/etc/common-lisp.

Up to now I have been using a config like the following:

(require :asdf)
(uiop:appendf
 asdf:*central-registry*
 (list (uiop:getcwd))
 (directory
  (concatenate
   'string
   (or (uiop:getenv "GUIX_ENVIRONMENT")
       "~/.guix-profile")
   "/share/common-lisp/"
   (case uiop:*implementation-type*
     ((:sbcl) "sbcl")
     ((:ecl) "ecl")
     (otherwise "source"))
   "/*")))

which I find quite readable, although probably not perfect.

What advantage is there to avoiding propagated-inputs?

Also whatever the solution is should probably been in the manual, or better yet automatically loaded by Common Lisp in a system level init file.

‐‐‐‐‐‐‐ Original Message ‐‐‐‐‐‐‐

On Monday, August 9th, 2021 at 3:30 PM, Guillaume Le Vaillant <[email-masked]> wrote:

> Charles via Guix-patches via [email-masked] skribis:
>
> > I'm pretty sure this is correct and I have confired on the irc. Open to conversation though.
>
> Hi,
>
> Instead of propagating the dependencies, we use configuration files
>
> indicating to ASDF where to find the sources and compiled files of the
>
> dependencies in the store.
>
> These configuration files are in "$GUIX_PROFILE/etc/common-lisp"
>
> or "$GUIX_ENVIRONMENT/etc/common-lisp".
>
> Do you have a use case where the Common Lisp implementation fails to
>
> find dependencies?
>
> If yes, could you give an example?